<template>
  <div>
    Hi {{ slug }}
    {{ page }}
  </div>
</template>

<script>
import DB from '@/components/database'
export default {
  async asyncData ({ params }) {
    const slug = params.slug // When calling /abc the slug will be "abc"
    return {
      slug: slug,
      db: DB
    }
  },
  computed: {
    page () {
      let slug = this.slug
      return this.db.chapters.find((page) => {
        return page.slug === `/${slug}`
      })
    }
  }
}
</script>

<style>

</style>
